summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorvasyl <vasyl.vavrychuk@opensynergy.com>2021-06-14 20:39:50 +0300
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2022-01-17 15:51:37 +0000
commit94062ada71f1e3658dde8ff8758416ec67464016 (patch)
tree4f91b9fe34d9c3b2908293ab16f077a04ef53e64
parentefaf2d9d5c04c2be60bd2e4a57e3ba21f6130b15 (diff)
aglsetup: Fix append_fragment fails with heredocs on Ubuntu 21.04.koi
Looks like bash creates temporary file for heredocs and passes fd to deleted file to command that use heredocs. Therefore, it is better not to use '[[ -f /dev/stdin ]]' in case of heredocs. Replaced it with more relaxed condition. Bug-AGL: SPEC-3990 Change-Id: Ib68d1510dd6899b0f60b207071b222ef1933bf77 Signed-off-by: vasyl <vasyl.vavrychuk@opensynergy.com> Reviewed-on: https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl/+/26428 Tested-by: Jenkins Job builder account ci-image-build: Jenkins Job builder account ci-image-boot-test: Jenkins Job builder account Reviewed-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> (cherry picked from commit fac66e3b82213a2147edca7212ca3c0121e2b250) Reviewed-on: https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl/+/27020
-rwxr-xr-xscripts/.aglsetup_genconfig.bash6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/.aglsetup_genconfig.bash b/scripts/.aglsetup_genconfig.bash
index b9f4e5e94..cf06622ba 100755
--- a/scripts/.aglsetup_genconfig.bash
+++ b/scripts/.aglsetup_genconfig.bash
@@ -223,15 +223,15 @@ function append_fragment() {
echo >>$basefile
echo "# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #" >>$basefile
echo "# fragment { " >>$basefile
- [[ -f $f ]] && echo "# $f" >>$basefile || true
+ [[ -n $f ]] && echo "# $f" >>$basefile || true
echo "#" >>$basefile
[[ -n "$label" ]] && echo "$label" >>$basefile
- [[ -f $f ]] && cat $f >>$basefile || true
+ [[ -n $f ]] && cat $f >>$basefile || true
echo "" >>$basefile
echo "#" >>$basefile
echo "# }" >>$basefile
echo "# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #" >>$basefile
- [[ -f $f ]] && echo $f >>$BUILDDIR/conf/fragments.log || true
+ [[ -n $f ]] && echo $f >>$BUILDDIR/conf/fragments.log || true
}
function execute_setup() {